summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorMonty Taylor <mordred@inaugust.com>2017-11-22 07:20:00 -0600
committerAndreas Jaeger <jaegerandi@gmail.com>2017-11-22 15:19:17 +0000
commitae2dfaec367dabadb4c74a5d635d9633247465f1 (patch)
treedaf956b1a3cc5b2f33a00536ed1502f2194e87e4 /tools
parent3be8eca70b53148f2dbcbab98dafd04b07e99da6 (diff)
downloadpython-swiftclient-ae2dfaec367dabadb4c74a5d635d9633247465f1.tar.gz
Update tox_install.sh to align for sphinx jobs
The updates to the sphinx docs jobs in support of the updates to the PTI wound up exposing an unintended interface. There are two flavors of the tox_install.sh file out there, and we basically need to collapse them into one flavor. Update the tox_install.sh script to match the constraints-as-first-argument form. Change-Id: I7cb4b44952713752435e1faf0f63bf0d37e7dda6
Diffstat (limited to 'tools')
-rwxr-xr-xtools/tox_install.sh41
1 files changed, 20 insertions, 21 deletions
diff --git a/tools/tox_install.sh b/tools/tox_install.sh
index 15aa9de..43468e4 100755
--- a/tools/tox_install.sh
+++ b/tools/tox_install.sh
@@ -4,28 +4,27 @@
# with installing the client from source. We should remove the version pin in
# the constraints file before applying it for from-source installation.
+CONSTRAINTS_FILE=$1
+shift 1
+
set -e
-if [[ -z "$CONSTRAINTS_FILE" ]]; then
- echo 'WARNING: expected $CONSTRAINTS_FILE to be set' >&2
- PIP_FLAGS=(-U)
-else
- # NOTE(tonyb): Place this in the tox enviroment's log dir so it will get
- # published to logs.openstack.org for easy debugging.
- localfile="$VIRTUAL_ENV/log/upper-constraints.txt"
-
- if [[ "$CONSTRAINTS_FILE" != http* ]]; then
- CONSTRAINTS_FILE="file://$CONSTRAINTS_FILE"
- fi
- curl "$CONSTRAINTS_FILE" --insecure --progress-bar --output "$localfile"
-
- pip install -c"$localfile" openstack-requirements
-
- # This is the main purpose of the script: Allow local installation of
- # the current repo. It is listed in constraints file and thus any
- # install will be constrained and we need to unconstrain it.
- edit-constraints "$localfile" -- "$CLIENT_NAME"
- PIP_FLAGS=(-c"$localfile" -U)
+# NOTE(tonyb): Place this in the tox enviroment's log dir so it will get
+# published to logs.openstack.org for easy debugging.
+localfile="$VIRTUAL_ENV/log/upper-constraints.txt"
+
+if [[ $CONSTRAINTS_FILE != http* ]]; then
+ CONSTRAINTS_FILE=file://$CONSTRAINTS_FILE
fi
+# NOTE(tonyb): need to add curl to bindep.txt if the project supports bindep
+curl $CONSTRAINTS_FILE --insecure --progress-bar --output $localfile
+
+pip install -c$localfile openstack-requirements
+
+# This is the main purpose of the script: Allow local installation of
+# the current repo. It is listed in constraints file and thus any
+# install will be constrained and we need to unconstrain it.
+edit-constraints $localfile -- $CLIENT_NAME
-pip install "${PIP_FLAGS[@]}" "$@"
+pip install -c$localfile -U $*
+exit $?